Subject: Re: Query regarding replication slots

From: Julien Rouhaud <[email-masked]>
Date: Tue, 11 Jan 2022 19:37:47 +0800

On Tue, Jan 11, 2022 at 04:48:59PM +0530, RKN Sai Krishna wrote:
> Hi All,
> 
> I have a very basic question related to replication slots. Why should
> the master/primary server maintain the replication slot info like lsn
> corresponding to each standby server etc. Instead, why can't each
> standby server send the lsn that it needs, and master/primary server
> maintain the minimum lsn across all of the standby servers so that the
> information could be used for cleanup/removal of WAL segments?

Because the information is needed even if the standby servers are not
available, and if you only have a global xmin then you can't do much when
removing one of the slots.